#This function executes Metaphlan software on sample data

import os
os.system('clear')
print "In this state, metaphlan2 software runs on samples"
print
print "Metaphlan can produce taxonomic profiling at different levels."
print "Such as all, Kingdom, Phylum, Class, Order, Family, Genus, and Species."
print "For this purpose, enter 'a', 'k', 'p', 'c', 'o', 'f', 'g', 's' respectively."
print "But it is recommended to use family, genus or species level."
print "Select one of {'a', 'k', 'p', 'c', 'o', 'f', 'g', 's'}:"
c=raw_input()
while c not in ['a','k','p','c','o','f','g','s']:
	print "Selected character is not correct, enter one of {'a','k','p','c','o','f','g','s'}"
	c=raw_input()
import subprocess
cmd1 = './metaphlan_samlpe.sh '+c
subprocess.call(cmd1, shell=True)
print "Please press the key to continue"
c=raw_input()
d